#!/usr/bin/perl
#
# Print the index of the first line containing the search argument
# Strip all lines not beginning with an identifier, including
#	comments (starting with |) and blanks
# Usage: GETINDEX.perl <search-key> <filename>
#
# 1/2/1999 by William H. Hsu
#

$searchKey = $ARGV[0];
open (fp, $ARGV[1]);
while ($line = <fp>)
{
  @tokens = split (" ", $line);
  $isDeclaration = $tokens[0] =~ /^[a-z]+[a-z0-9]*\:/i;
  if ($isDeclaration)
  {
    print $tokens[0], "\n";
  }
}
close (fp);
