// MLC++ - Machine Learning Library in -*- C++ -*-
// See Descrip.txt for terms and conditions relating to use and distribution.

// This is an include file for an abstract base class.  Note that there is
//   no matching .c file.  See a .c file for derived classes for further
//   description.

#ifndef _IncrInducer_h
#define _IncrInducer_h 1

#include <Inducer.h>

class IncrInducer : public Inducer { // ABC
   NO_DEFAULT_OPS(IncrInducer);
public:   
   IncrInducer(const MString& description) : Inducer(description) {}
   virtual ~IncrInducer() {}
   virtual ILPix add_instance(const InstanceRC& instance) = 0;
   virtual InstanceRC del_instance(ILPix& pix) = 0;
};
#endif


