/*******************************************************************************
+
+  LEDA 3.5
+
+
+  graph_edit.h
+
+
+  Copyright (c) 1995, 1996, 1997  by  LEDA Software GmbH
+  Postfach 151101, 66041 Saarbruecken, Germany
+  All rights reserved.
+ 
*******************************************************************************/


#include <LEDA/window.h>
#include <LEDA/graph.h>

/*{\Manpage {graph_edit} {} {A Simple Graph Editor} }*/

extern __exportF void graph_edit(window& W,GRAPH<point,int>& G,bool dir=true,bool redraw=true);

/*{\Mfunc     starts a simple graph editor in window $W$ allowing to display

              and manipulate graph $G$. If the boolean flag $dir$ is $true$
              $G$ is displayed as a directed graph, otherwise, it is displayed
              undirected. }*/

