// MLC++ - Machine Learning Library in -*- C++ -*-
// See Descrip.txt for terms and conditions relating to use and distribution.

// This is an include file.  For a full description of the class and
// functions, see the file name with a "c" suffix.

#include <InstanceList.h>
#include <Array.h>

#ifndef _feature_importance_h
#define _feature_importance_h 1

Array<Real> *feature_importance(const InstanceList& instList,
				const Array<int>& givenFeatures);

void select_features(const InstanceList& instList,
		     const Array<int>& givenFeatures,
		     int extras,
		     Array<int>*& selectedFeatures,
		     Array<Real>*& selectedPurity);

#endif
