// MLC++ - Machine Learning Library in -*- C++ -*-
// See Descrip.txt for terms and conditions relating to use and distribution.

// This is an include file.  For a full description of the class and
// functions, see the file name with a "c" suffix.

#ifndef _BestSplitSelector_h
#define _BestSplitSelector_h 1

#include <SplitSelector.h>

class BestSplitSelector : public SplitSelector {
public:
   BestSplitSelector(LeafGenerator*& lGen,
		     SplitScore::SplitScoreCriterion criterion)
      : SplitSelector(lGen, criterion) { }
   virtual ~BestSplitSelector() { }

   virtual NodeCategorizer *
   choose_categorizer(SubtreeInfo& info,
		      const DblLinkList<SplitSuggestion*>& suggestions) const;
};


#endif
