// MLC++ - Machine Learning Library in -*- C++ -*-
// See Descrip.txt for terms and conditions relating to use and distribution.

// This is an include file.  For a full description of the class and
// functions, see the file name with a "c" suffix.

#ifndef _C45Tree_h
#define _C45Tree_h 1

#include <SchemaRC.h>
#include <MLCStream.h>
#include <DecisionTree.h>


// This function reads in a c45Tree datafile and builds a decision tree.
// Does just attribute categorizers and constant cat (aborts otherwise).

DecisionTree* read_c45_tree(MLCIStream& inputFile,
			    const InstanceList& inputList,
			    DecisionTree* dt);

DecisionTree* read_c45_tree(MLCIStream& inputFile,
			    const InstanceList& inputList);

// C45 Needs coarser epsilon factors than MLC++.
extern MLC mlc45;


#endif








