// MLC++ - Machine Learning Library in -*- C++ -*-
// See Descrip.txt for terms and conditions relating to use and distribution.

// This is an include file.  For a full description of the class and
// functions, see the file name with a "c" suffix.

#ifndef _CartSearch_h
#define _CartSearch_h 1

#include <PartitionSplit.h>
#include <CartSplit.h>
#include <SearchSplit.h>

// Note, this is non-disjoint multiple inheritance (diamond)
class CartSearch : public SearchSplit, public CartSplit {
   NO_DEFAULT_OPS(CartSearch);
public:
   CartSearch() : PartitionSplit(), CartSplit() { }
   virtual ~CartSearch() { }
   void subset_split(PartitionEvaluator& evaluator);
   void set_user_options(const MString& prefix);
};

#endif
