// MLC++ - Machine Learning Library in -*- C++ -*-
// See Descrip.txt for terms and conditions relating to use and distribution.

// This is an include file.  For a full description of the class and
// functions, see the file name with a "c" suffix.

#ifndef _ConfidencePruner_h
#define _ConfidencePruner_h 1

#include <Pruner.h>

class ConfidencePruner : public Pruner {
public:
   ConfidencePruner() { }
   virtual ~ConfidencePruner() { }

   virtual void prune_subtree(SubtreeInfo& info, NodePtr thisNode,
			      const LeafGenerator& leafGenerator) const;
};

#endif
