/*******************************************************************************
+
+  LEDA 3.5
+
+
+  d3_hull.h
+
+
+  Copyright (c) 1995, 1996, 1997  by  LEDA Software GmbH
+  Postfach 151101, 66041 Saarbruecken, Germany
+  All rights reserved.
+ 
*******************************************************************************/


#ifndef LEDA_D3_HULL_H
#define LEDA_D3_HULL_H

#include <LEDA/d3_rat_point.h>
#include <LEDA/d3_point.h>
#include <LEDA/graph.h>

extern __exportF void D3_HULL(const list<d3_rat_point>& L, GRAPH<d3_rat_point,int>& H, int=-1);
extern __exportF void D3_HULL(const list<d3_point>& L, GRAPH<d3_point,int>& H, int=-1);

extern __exportF bool CHECK_HULL(const GRAPH<d3_rat_point,int>& H);
extern __exportF bool CHECK_HULL(const GRAPH<d3_point,int>& H);

#endif
