/*******************************************************************************
+
+  LEDA 3.5
+
+
+  stl.h
+
+
+  Copyright (c) 1995, 1996, 1997  by  LEDA Software GmbH
+  Postfach 151101, 66041 Saarbruecken, Germany
+  All rights reserved.
+ 
*******************************************************************************/


#ifndef LEDA_STL_H
#define LEDA_STL_H

#define deque  stl_deque
#define list   stl_list
#define map    stl_map
#define set    stl_set
#define stack  stl_stack
#define vector stl_vector

#if defined(__GNUC__)
#include <stl.h>
#else
#define RWSTD_NO_NAMESPACE
#include <deque.h>
#include <list.h>
#include <map.h>
#include <set.h>
#include <stack.h>
#include <vector.h>
#endif

#undef deque
#undef list
#undef map
#undef set
#undef stack
#undef vector

#endif
