#ifndef LEDA_SYS_WIN32_H
#define LEDA_SYS_WIN32_H

#define __win32__

#define LITTLE_ENDIAN_MACHINE


#if defined(_MSC_VER)
#define __MICROSOFTC__
#include <float.h>
static int setdouble_ieee_for_msc = (_control87(_PC_53, MCW_PC),0);
// note: 639 (0x027f) seems also okay.
// This sets internal rounding of FPU to double (not extended) format
// and leaves rounding to nearest as well as exceptions unchanged.
// The above fix was found with the help of Stefan Funke (thanxalot)
// who understood and corrected the hints of Jonathan Shewchuk.
// See http://pecan.srv.cs.cmu.edu:80/afs/cs/project/quake/public/www/robust.pc.html
#endif


#if defined(_MSC_VER) || defined(__BORLANDC__) || defined(__IBMCPP__)
//@@ No need for eight character file names
//#define __EIGHT_CHAR_FILE_NAMES__
#endif

#if defined(__GNUC__) || (__BORLANDC__ >= 0x500) || (__WATCOMC__ >= 1100) || (_MSC_VER >= 1100)
#define __HAS_BUILTIN_BOOL__
#endif

#if defined(__BORLANDC__) && (__BORLANDC__ < 0x500)
#define __NO_EXPLICIT_DESTRUCTION__
#define __NO_INPLACE_NEW__
#endif

#if defined(__BORLANDC__)
#define __HAS_VALUES_H__
#endif

#if defined(__STDC__)
#define STRINGIZE(x) #x
#else
#define STRINGIZE(x) "x"
#endif


//------------------------------------------------------------------------------
//  DLL definitions
//------------------------------------------------------------------------------

#if defined(BUILD_DLL)
#define __exportC __declspec(dllexport)
#define __exportF __declspec(dllexport)
#define __exportD __declspec(dllexport)
#elif defined(LEDA_DLL)
#if defined(__BORLANDC__)
#define __exportC __import
#define __exportF __import
#define __exportD __import
#else
#define __exportC __declspec(dllimport)
#define __exportF __declspec(dllimport)
#define __exportD __declspec(dllimport)
#endif
#else
#define __exportC
#define __exportF
#define __exportD
#endif

#endif
