// MLC++ - Machine Learning Library in -*- C++ -*-
// See Descrip.txt for terms and conditions relating to use and distribution.

// This is an include file.  For a full description of the class and
// functions, see the file name with a "c" suffix.

#ifndef _NominalSplitSuggestion_h
#define _NominalSplitSuggestion_h 1

#include <SplitSuggestion.h>

class NominalSplitSuggestion : public SplitSuggestion {
public:
   NominalSplitSuggestion(Real mi, Real score, const MString& dscr, int attr)
      : SplitSuggestion(mi, score, dscr, attr) { }
   virtual ~NominalSplitSuggestion() { }

   virtual NodeCategorizer *build_categorizer(const SchemaRC& schema) const;
};

#endif
