// MLC++ - Machine Learning Library in -*- C++ -*-
// See Descrip.txt for terms and conditions relating to use and distribution.

// This is an include file.  For a full description of the class and
// functions, see the file name with a "c" suffix.

#ifndef _NominalSplitter_h
#define _NominalSplitter_h 1

#include <Splitter.h>
#include <SplitAttr.h>

class NominalSplitter : public Splitter {
public:
   NominalSplitter(SplitScore::SplitScoreCriterion criterion)
      : Splitter(criterion) { }
   virtual ~NominalSplitter() { }

   DblLinkList<SplitSuggestion*> *
   suggest_splits(SubtreeInfo& info, int attrNum) const;
};

#endif
