// MLC++ - Machine Learning Library in -*- C++ -*-
// See Descrip.txt for terms and conditions relating to use and distribution.

// This is an include file.  For a full description of the class and
// functions, see the file name with a "c" suffix.

#ifndef _Pruner_h
#define _Pruner_h 1

#include <CGraph.h>
#include <LogOptions.h>

class SubtreeInfo;
class LeafGenerator;

class Pruner {
   LOG_OPTIONS;
public:
   Pruner() { }
   virtual ~Pruner() { }
   
   virtual void replace_subtree_with_leaf(SubtreeInfo& info, NodePtr thisNode,
					  const LeafGenerator& leafGen) const;
   
   virtual void prune_subtree(SubtreeInfo& info, NodePtr thisNode,
			      const LeafGenerator& leafGenerator) const;
};


#endif
