// MLC++ - Machine Learning Library in -*- C++ -*-
// See Descrip.txt for terms and conditions relating to use and distribution.

// This is an include file.  For a full description of the class and
// functions, see the file name with a "c" suffix.

#ifndef _RealSplitSuggestion_h
#define _RealSplitSuggestion_h 1

#include <SplitSuggestion.h>

class RealSplitSuggestion : public SplitSuggestion {
   Real threshold;
public:
   RealSplitSuggestion(Real mi, Real score, const MString& dscr, int attr,\
		       Real thresh)
      : SplitSuggestion(mi, score, dscr, attr), threshold(thresh) { }
   virtual ~RealSplitSuggestion() { }

   Real get_threshold() const { return threshold; }
   
   virtual NodeCategorizer *build_categorizer(const SchemaRC& schema) const;
};

#endif
