// MLC++ - Machine Learning Library in -*- C++ -*-
// See Descrip.txt for terms and conditions relating to use and distribution.

// This is an include file.  For a full description of the class and
// functions, see the file name with a "c" suffix.

#ifndef _make_test_schema_h
#define _make_test_schema_h 1

// functions for building test schemas with all nominals--labelled
// and unlabelled

SchemaRC make_labelled_test_schema (int numAttr, int numVal, int numLabelVal);
SchemaRC make_unlabelled_test_schema (int numAttr, int numVal);
NominalAttrInfo* make_nai(int numVals, int num);
DblLinkList<AttrInfoPtr>* make_ai_list(const int numAttr, const int numVal);
FileSchema *schema_to_file_schema(const SchemaRC& schema,
				  Bool makeWeights = FALSE);

#endif

